curl --request GET \
--url https://api.siftstack.com/api/v3/channels/{channelId} \
--header 'Authorization: Bearer <token>'{
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>"
}
}Retrieve a channel.
curl --request GET \
--url https://api.siftstack.com/api/v3/channels/{channelId} \
--header 'Authorization: Bearer <token>'{
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A successful response.
The response of a call to ChannelService_GetChannel.
Show child attributes
Was this page helpful?